## org.eclipse.wst.wsdl.util
Class WSDLDiagnosticSeverity

    java.lang.Object
      AbstractEnumerator
          org.eclipse.wst.wsdl.util.WSDLDiagnosticSeverity

    public final class WSDLDiagnosticSeverity

extends AbstractEnumerator

WSDL diagnostic severity levels type safe enumeration. This class is similar to XSDDiagnosticSeverity.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Field Summary
`static int` `ERROR` This is used to indicate that the problem is bad and that the schema is likely not suitable for use.
`static WSDLDiagnosticSeverity` `ERROR_LITERAL` The 'Error' literal object.
`static int` `FATAL` This is used to indicate that the problem is really bad and that further processing is likely not possible.
`static WSDLDiagnosticSeverity` `FATAL_LITERAL` The 'Fatal' literal object.
`static int` `INFORMATION` This is used to indicate that the problem is only potential and that the definition is very likely suitable for use.
`static WSDLDiagnosticSeverity` `INFORMATION_LITERAL` The 'Information' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Diagnostic Severity' enumerators.
`static int` `WARNING` This is used to indicate that the problem is not too bad and that the definition is likely suitable for use.
`static WSDLDiagnosticSeverity` `WARNING_LITERAL` The 'Warning' literal object.

Method Summary
`static WSDLDiagnosticSeverity` `get(int value)` Returns the 'Diagnostic Severity' literal with the specified integer value.
`static WSDLDiagnosticSeverity` `get(java.lang.String literal)` Returns the 'Diagnostic Severity' literal with the specified literal value.
`static WSDLDiagnosticSeverity` `getByName(java.lang.String name)` Returns the 'Diagnostic Severity' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FATAL

    public static final int FATAL

  This is used to indicate that the problem is really bad and that further processing is likely not possible.

  See Also:
    `FATAL_LITERAL`, Constant Field Values

### ERROR

    public static final int ERROR

  This is used to indicate that the problem is bad and that the schema is likely not suitable for use.

  See Also:
    `ERROR_LITERAL`, Constant Field Values

### WARNING

    public static final int WARNING

  This is used to indicate that the problem is not too bad and that the definition is likely suitable for use.

  See Also:
    `WARNING_LITERAL`, Constant Field Values

### INFORMATION

    public static final int INFORMATION

  This is used to indicate that the problem is only potential and that the definition is very likely suitable for use.

  See Also:
    `INFORMATION_LITERAL`, Constant Field Values

### FATAL_LITERAL

    public static final WSDLDiagnosticSeverity FATAL_LITERAL

  The 'Fatal' literal object.

  See Also:
    `FATAL`

### ERROR_LITERAL

    public static final WSDLDiagnosticSeverity ERROR_LITERAL

  The 'Error' literal object.

  See Also:
    `ERROR`

### WARNING_LITERAL

    public static final WSDLDiagnosticSeverity WARNING_LITERAL

  The 'Warning' literal object.

  See Also:
    `WARNING`

### INFORMATION_LITERAL

    public static final WSDLDiagnosticSeverity INFORMATION_LITERAL

  The 'Information' literal object.

  See Also:
    `INFORMATION`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Diagnostic Severity' enumerators.

Method Detail

### get

    public static WSDLDiagnosticSeverity get(java.lang.String literal)

  Returns the 'Diagnostic Severity' literal with the specified literal value.

### getByName

    public static WSDLDiagnosticSeverity getByName(java.lang.String name)

  Returns the 'Diagnostic Severity' literal with the specified name.

### get

    public static WSDLDiagnosticSeverity get(int value)

  Returns the 'Diagnostic Severity' literal with the specified integer value.